Package csb :: Package statistics :: Package samplers :: Package mc :: Module propagators :: Class HMCPropagator

[frames] | no frames]

# Class HMCPropagator

source code

            object --+
                     |
    AbstractPropagator --+
                         |
      AbstractMCPropagator --+
                             |
                            HMCPropagator

Draws a number of samples from a PDF using the HMCSampler and returns them as a Trajectory.

Nested Classes
Inherited from `AbstractPropagator`: `__metaclass__`

Instance Methods

__init__(self, pdf, gradient, timestep, nsteps, mass_matrix=None, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>, temperature=1.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractMCPropagator`: `generate` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| mass_matrix
Inherited from `AbstractMCPropagator`: `acceptance_rate` Inherited from `object`: `__class__`

Method Details

### __init__(self, pdf, gradient, timestep, nsteps, mass_matrix=None, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>, temperature=1.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `pdf` (AbstractDensity) - PDF to sample from
  - `gradient` (AbstractGradient) - Gradient of the negative log-probability
  - `timestep` (float) - Timestep used for integration
  - `nsteps` (int) - Number of integration steps to be performed in each iteration
  - `mass_matrix` (n-dimensional InvertibleMatrix with n being the dimension of the configuration space, that is, the dimension of the position / momentum vectors) - Mass matrix
  - `integrator` (type) - Subclass of AbstractIntegrator to be used for integrating Hamiltionian equations of motion
  - `temperature` (float) - See documentation of AbstractSingleChainMC
Overrides: object.__init__
  (inherited documentation)

Property Details

### mass_matrix

Get Method:
  unreachable.mass_matrix(self)
Set Method:
  unreachable.mass_matrix(self, value)